I'm rather peeved at right now.

I just upgraded woozalia.com to the latest (MW), and then of course had to reinstall Semantic MediaWiki (SMW) because it isn't just a matter of copying over the extension files (unlike every other MW extension). ...not that there are any instructions for upgrading SMW that I could find; I had to go with the "installation" instructions.

...and this is what I get.

I've done both of the things it said to do... and there doesn't appear to be any further diagnostic documentation on this problem.

Plus the protocol (https://) is missing on the last two links on the page, making them point back to nonexistent pages on my own site which display this same message.

This is all just really sloppy, guys. :scowl:

All that said: problem solved, apparently? I replaced the version of SMW which was in the MW install (how did that even get there) with a link to the one I had explicitly downloaded earlier.

Things magically started working.

Go figure.

Show thread

...well... working better than before.

Stuff is still broken, and I don't yet know if it's SMW's fault or not.

Investigation continues.

Show thread
Follow

It looks like they're really just not supporting MW 1.36 properly, and I just upgraded to 1.37. SMW development seems to be kind of in a holding pattern right now.

I commented out 3 lines of code around where the error was happening, and that seems to have at least made the site viewable (I haven't tried editing yet).

If SMW would like to hire me to fix stuff, I'm available. :-P

· · Web · 0 · 0 · 0
Sign in to participate in the conversation
Toot.Cat

On the internet, everyone knows you're a cat — and that's totally okay.